"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCommandByPath = void 0;
const errors_1 = require("./errors");
const getCommandByPath = function ({ rootCommand, commandPath }) {
    let command = rootCommand;
    if (commandPath[0] !== rootCommand.name) {
        throw new errors_1.errors.InvalidOperation(`Can't find root command '${commandPath[0]}', root is actually named '${rootCommand.name}'.`);
    }
    for (const pathElement of commandPath.slice(1)) {
        if (command.subcommands === undefined) {
            throw new errors_1.errors.CommandNotFound();
        }
        command = command.subcommands[pathElement];
        // eslint-disable-next-line @typescript-eslint/no-unnecessary-condition
        if (command === undefined) {
            throw new errors_1.errors.CommandNotFound();
        }
    }
    return command;
};
exports.getCommandByPath = getCommandByPath;
